export default{
  props:{
    index:{//pageIndex
      type:Number
    },
    position:{//elmants.position
      type:Number
    }
  },
  computed:{
    isBtnShow(){
      return this.$parent.type === 'edit' 
            && this.$parent.choosedId === this.$parent.pageItem.id 
            && !this.$parent.isHintShow(this.position)
    }
  },
  methods: {
    delChart(position){
      if($(`#sheet_${this.index}_${this.position} .sheet-iframe-box`)){
        $(`#sheet_${this.index}_${this.position} .sheet-iframe-box`).remove()
      }
      this.$parent.delChart(position)
    },
  },
}